#ifndef UML_ARTIFACT_H
#define UML_ARTIFACT_H

#include <umlclassifier.h>

/**
 * UML 1.4 section 2.5.2.2
 *
 * An artifact is a physical piece of information that is used
 * or produced by a software development process - e.g source
 * code or requirements.
 */
class UMLArtifact : public UMLClassifier
{
 public:
  UMLArtifact();
  virtual ~UMLArtifact();
};

#endif
