#ifndef UML_COSNTRAINT_H
#define UML_COSNTRAINT_H

#include <umlmodelelement.h>

/**
 * UML 1.4 section 2.5.2.13
 *
 * A constraint is some boolean expression that describes
 * behavioral or structural requirements for a model
 * element.
 */
class UMLConstraint : public UMLModelElement
{
 public:
  UMLConstraint();
  virtual ~UMLConstraint();

  utl::single_attribute<UMLBooleanExpression> body;
  utl::ordered_relation<UMLModelElement *> constrainedElement;
};

#endif
