#ifndef UML_FLOW_H
#define UML_FLOW_H

#include <umlrelationship.h>

/** 
 * UML 1.4 section 2.5.2.22
 *
 * A flow is a relationship between two versions of an
 * object or between an object and a copy of it.
 */
class UMLFlow : public UMLRelationship
{
 public:
  UMLFlow();
  virtual ~UMLFlow();

  utl::unordered_relation<UMLModelElement *> target;
  utl::unordered_relation<UMLModelElement *> source;
};

#endif
