#ifndef UML_PERMISSION_H
#define UML_PERMISSION_H

#include <umldependency.h>

/**
 * UML 1.4 section 2.5.2.32
 *
 * Permission dependencies grant model elements permission
 * to access elements in other namespaces. An example
 * of this would be a friend declaration.
 */
class UMLPermission : public UMLDependency
{
 public:
  UMLPermission();
  virtual ~UMLPermission();
};

#endif
