#ifndef UML_PRESENTATIONELEMENT_H
#define UML_PRESENTATIONELEMENT_H

#include <umlelement.h>

class UMLModelElement;

/**
 * UML 1.4 section 2.5.2.33
 *
 * A presentation element is a textual or graphical
 * representation of a model element. This is the base
 * metaclass for all specific presentation elements.
 *
 * I don't think that this is actually used yet, but
 * it could be used to define the drawing components
 * of various eleemnts. Maybe.
 */
class UMLPresentationElement : public UMLElement
{
 public:
  UMLPresentationElement();
  virtual ~UMLPresentationElement();

  utl::unordered_relation<UMLModelElement *> subject;
};

#endif
