#ifndef UML_PRIMITIVE_H
#define UML_PRIMITIVE_H

#include <umldatatype.h>

/**
 * UML 1.4 section 2.5.2.34
 *
 * A primitive data type is one without any relevant
 * UML substructure like integers and floating point
 * types.
 */
class UMLPrimitive : public UMLDataType
{
 public:
  UMLPrimitive();
  virtual ~UMLPrimitive();
};

#endif
