#ifndef UML_PROGRAMMINGLANGUAGEDATATYPE_H
#define UML_PROGRAMMINGLANGUAGEDATATYPE_H

#include <umldatatype.h>

/**
 * UML 1.4 section 2.5.2.35
 *
 * The standard defines programming languages as data types
 * whose values have no idea. I suspect this is provided
 * for languages with types that do not have classifiers in
 * the UML sense of them - like LISP, perhaps.
 */
class UMLProgrammingLanguageDataType : public UMLDataType
{
 public:
  UMLProgrammingLanguageDataType();
  virtual ~UMLProgrammingLanguageDataType();

  utl::single_attribute<UMLTypeExpression> expression;
};

#endif
