#ifndef UML_RELATIONSHIP_H
#define UML_RELATIONSHIP_H

#include <umlmodelelement.h>

/**
 * UML 1.4 section 2.5.2.36
 *
 * The relationship class is provided primarily for
 * grouping different kinds of relationships like association,
 * generalization and flow. The standard describes it as a
 * term of convenience. It provides connections among
 * model elements.
 */
class UMLRelationship : public UMLModelElement
{
 public:
  UMLRelationship();
  virtual ~UMLRelationship();
};

#endif
