#ifndef UML_TEMPLATEARGUMENT_H
#define UML_TEMPLATEARGUMENT_H

#include <utl.h>

class UMLModelElement;
class UMLBinding;

/**
 * UML 1.4 section 2.5.2.38
 *
 * According to the standard: Reifies the relationship between
 * a binding and one of its arguments.
 */
class UMLTemplateArgument
{
 public:
  UMLTemplateArgument();
  virtual ~UMLTemplateArgument();

  utl::single_relation<UMLModelElement *> modelElement;
  utl::single_relation<UMLBinding *> binding;
};

#endif
