#ifndef UML_ABSTRACTION_H
#define UML_ABSTRACTION_H

#include <umldependency.h>

/**
 * UML 1.4 section 2.5.2.1
 *
 * An abstraction relationship relates two elements or sets
 * of elements that reresent the same concept at different
 * levels of abstraction or from different views.
 */
class UMLAbstraction : public UMLDependency
{
 public:
  UMLAbstraction();
  virtual ~UMLAbstraction();

  utl::single_attribute<UMLMappingExpression> mapping;
};

#endif
