#ifndef UML_ASSOCIATION_H
#define UML_ASSOCIATION_H

#include <umlrelationship.h>

class UMLAssociationEnd;

/**
 * UML 1.4 section 2.5.2.3
 *
 * An association relationship connects two elements with
 * association ends. The ends specify the parameters of the
 * relationship.
 */
class UMLAssociation : public UMLRelationship
{
 public:
  UMLAssociation();
  virtual ~UMLAssociation();

  utl::ordered_relation<UMLAssociationEnd *> connection;
};

#endif
