#ifndef UML_ASSOCIATIONCLASS_H
#define UML_ASSOCIATIONCLASS_H

#include <umlclass.h>
#include <umlassociation.h>

/**
 * UML 1.4 section 2.5.2.4
 *
 * An association class is an association that is also
 * a class. Deep. It connects a set of classifiers and
 * determines a set of features belong to the connection.
 */
class UMLAssociationClass :
  public UMLClass,
  public UMLAssociation
{
public:
  UMLAssociationClass();
  virtual ~UMLAssociationClass();
};

#endif
