#ifndef UML_ATTRIBUTE_H
#define UML_ATTRIBUTE_H

#include <umlstructuralfeature.h>

/**
 * UML 1.4 section 2.5.2.6
 *
 * We all know what an attribute is. It has an initial
 * value.
 */
class UMLAttribute : public UMLStructuralFeature
{
 public:
  UMLAttribute();
  virtual ~UMLAttribute();

  utl::single_attribute<UMLExpression> initialValue;
};

#endif
