#ifndef UML_BEHAVIORALFEATURE_H
#define UML_BEHAVIORALFEATURE_H

#include <umlfeature.h>

class UMLParameter;

/**
 * UML 1.4 section 2.5.2.7
 *
 * A behavioral feature is something that can be
 * executed on a classifier. It has parameters. It
 * is probably a method.
 */
class UMLBehavioralFeature : public UMLFeature
{
 public:
  UMLBehavioralFeature();
  virtual ~UMLBehavioralFeature();

  utl::single_attribute<UMLBoolean> isQuery;
  utl::ordered_attribute<UMLParameter *> parameter;
};

#endif
