#ifndef UML_BINDING_H
#define UML_BINDING_H

#include <umldependency.h>

class UMLTemplateArgument;

/**
 * UML 1.4 section 2.5.2.8
 *
 * A binding is a relationship between a template and a model
 * element that is generated from the template. It includes the
 * arguments to the template that generated the model element.
 */
class UMLBinding : public UMLDependency
{
 public:
  UMLBinding();
  virtual ~UMLBinding();

  utl::ordered_relation<UMLTemplateArgument *> argument;
};

#endif
