#ifndef UML_CLASS_H
#define UML_CLASS_H

#include <umlclassifier.h>

/**
 * UML 1.4 section 2.5.2.9
 *
 * We all know what a class is. It inherits from classifier
 * and therefore namespace and generalizable element so it
 * is all of those things. The isActive member is used specify
 * whether the class maintains its own thread of control.
 * See documentation on the active object pattern somewhere
 * else.
 */
class UMLClass : public UMLClassifier
{
 public:
  UMLClass();
  virtual ~UMLClass();

  utl::single_attribute<UMLBoolean> isActive;
};

#endif
