#ifndef UML_CLASSIFIER_H
#define UML_CLASSIFIER_H

#include <umlgeneralizableelement.h>
#include <umlnamespace.h>
#include <umlfeature.h>

/**
 * UML 1.4. section 2.5.2.10
 *
 * A classifier is a both generalizable and a namespace.
 * It contains features. Sound familar? It's basically a
 * class.
 */
class UMLClassifier : public UMLGeneralizableElement,
		      public UMLNamespace
{
 public:
  UMLClassifier();
  virtual ~UMLClassifier();

  utl::ordered_relation<UMLFeature *> feature;
};

#endif
