#ifndef UML_COMMENT_H
#define UML_COMMENT_H

#include <umlmodelelement.h>

/**
 * UML 1.4 section 2.5.2.11
 *
 * An annotation attached to zero or more model elements.
 */
class UMLComment : public UMLModelElement
{
 public:
  UMLComment();
  virtual ~UMLComment();

  utl::single_attribute<UMLString> body;
  utl::unordered_relation<UMLModelElement *> annotatedElement;
};

#endif
