#ifndef UML_ENUMERATION_H
#define UML_ENUMERATION_H

#include <umldatatype.h>

class UMLEnumerationLiteral;

/**
 * UML 1.4 section 2.5.2.19
 *
 * An enumeration is a datatype with a list of named
 * values.
 */
class UMLEnumeration : public UMLDataType
{
 public:
  UMLEnumeration();
  virtual ~UMLEnumeration();

  utl::ordered_relation<UMLEnumerationLiteral *> literal;
};

#endif
