#ifndef UML_ENUMERATIONLITERAL_H
#define UML_ENUMERATIONLITERAL_H

#include <umlmodelelement.h>

class UMLEnumeration;

/**
 * UML 1.4 section 2.5.2.20
 *
 * Defines an element of the runtime extension
 * of an enumeration. I don't know what this means. It
 * defines a value of an enumeration.
 */
class UMLEnumerationLiteral : public UMLModelElement
{
 public:
  UMLEnumerationLiteral();
  virtual ~UMLEnumerationLiteral();

  utl::single_relation<UMLEnumeration *> enumeration;
};

#endif
