#ifndef UML_NAMESPACE_H
#define UML_NAMESPACE_H

#include <umlmodelelement.h>

/**
 * UML 1.4 section 2.5.2.28
 *
 * The namespace class defines a namespace in model terms. A
 * namespace is simply a collection of model elements, not
 * really an element in and of itself.
 */
class UMLNamespace : public UMLModelElement
{
 public:
  UMLNamespace();
  virtual ~UMLNamespace();

  utl::unordered_relation<UMLModelElement *> ownedElement;
};

#endif
