#ifndef UML_NODE_H
#define UML_NODE_H

#include <umlclassifier.h>

class UMLComponent;

/**
 * UML 1.4 section 2.5.2.29
 *
 * A node is a runtime physical object that represents a
 * computational resource such as a PC or server.
 */
class UMLNode : public UMLClassifier
{
 public:
  UMLNode();
  virtual ~UMLNode();

  utl::unordered_relation<UMLComponent *> deployedComponent;
};

#endif
